import ProjectDescription

let version: SettingValue = "2.23.1"
let baseSettings: [String: SettingValue] = [
    "MARKETING_VERSION": version,
    "PRODUCT_NAME": "SDK Sample"
]

let project = Project(
    name: "KakaoSDKSample",
    targets: [
        .target(
            name: "KakaoSDKSample",
            destinations: .iOS,
            product: .app,
            bundleId: "com.kakao.sdk.sample.open", 
            deploymentTargets: .iOS("13.0"),
            infoPlist: .file(path: Path("KakaoSDKSample/Sources/Info.plist")),
            sources: ["KakaoSDKSample/Sources/**"],
            resources: ["KakaoSDKSample/Resources/**"],
            dependencies: [
                .external(name:"Alamofire"),
                .external(name:"KakaoSDKCommon"),
                .external(name:"KakaoSDKTemplate"),
                .external(name:"KakaoSDKAuth"),
                .external(name:"KakaoSDKUser"),
                .external(name:"KakaoSDKCert"),
                .external(name:"KakaoSDKTalk"),
                .external(name:"KakaoSDKFriend"),
                .external(name:"KakaoSDKShare"),
                .external(name:"KakaoSDKNavi")
            ], 
            settings: .settings(base:baseSettings)
        ),
        .target(
            name: "KakaoSDKSampleTests",
            destinations: .iOS,
            product: .unitTests,
            bundleId: "com.kakao.sdk.sample.open.tests",
            infoPlist: .default,
            sources: ["KakaoSDKSample/Tests/**"],
            resources: [],
            dependencies: [.target(name: "KakaoSDKSample")]
        ),
    ]
)
